import fetch from '@/common/fetch.js';
import BASE_URL from './base.js';
import useNetWork from '@/common/useNetWork.js';

const List = BASE_URL + '/visitor/apply/list'
const MessageInfo = BASE_URL + '/visitor/getMessageInfo'
/**
 * 获取访客提交记录列表
 * @param {*}  
 */
export function getList(data) {
	useNetWork();
  return fetch.post(List,data).then(res => res);
}

/**
 * 获取消息详情
 * @param {*}  
 */
export function getMessageInfo(params) {
	useNetWork();
  return fetch.get(MessageInfo,params).then(res => res);
}

